T.O = {}
T.O.delPost = function(content) {
	if (! confirm("この投稿を削除します。本当によろしいですか？"))
		return;

	$.post2(
		T.api+"del_post.php",
		{id: content.attr("i")},
		function(ret) {
			if (! ret) {
				alert("削除出来ませんでした。");
				return;
			}
			alert("削除しました。");
			content.remove();
		},
		function() {
			alert("削除出来ませんでした。");
			return;
		},
		"json",
		3
	);
}

T.O.delTheme = function(id) {
	if (! confirm("このテーマを削除します。\nこのテーマをメインテーマに設定しているテーマは、メインテーマ無しになります。\n本当によろしいですか？"))
		return;

	$.post2(
		T.api+"del_theme.php",
		{id: id},
		function(ret) {
			if (! ret) {
				alert("削除出来ませんでした。");
				return;
			}
			location.href = T.base;
		},
		function() {
			alert("削除出来ませんでした。");
			return;
		},
		"json",
		3
	);
}

T.O.delKeyword = function(id) {
	if (! confirm("このキーワードを削除します。\nテーマに設定されたキーワードも自動的に解除されます。\n本当によろしいですか？"))
		return;

	$.post2(
		T.api+"del_keyword.php",
		{id: id},
		function(ret) {
			if (! ret) {
				alert("削除出来ませんでした。");
				return;
			}
			if ($(".controller-box .description li").length) {
				location.href = T.base+"theme/"+$(".controller-box .description li").text();
			} else {
				location.href = T.base;
			}
		},
		function() {
			alert("削除出来ませんでした。");
			return;
		},
		"json",
		3
	);
}

T.O.delUrl = function(id) {
	if (! confirm("このURLを削除します。\nただし各投稿に含まれるURLの記述はそのままで、クリックするとエラーページに飛ぶようになります。\n本当によろしいですか？"))
		return;

	$.post2(
		T.api+"del_url.php",
		{id: id},
		function(ret) {
			if (! ret) {
				alert("削除出来ませんでした。");
				return;
			}
			location.href = T.base;
		},
		function() {
			alert("削除出来ませんでした。");
			return;
		},
		"json",
		3
	);
}

T.O.show_action = function(action,content) {
	var a = $("<a/>").attr("href", "javascript:void(0)").click(function(e) {
		T.O.delPost(content)
	}).text("削除");
	action.append(a);
}

$(function() {
});